<?php
if (!$no_session){
session_start();

$start = $_SESSION["multiwx"]["start"];
$end = $_SESSION["multiwx"]["end"];
$group1 = $_SESSION["multiwx"]["group1"];
$fix_date = $_SESSION["multiwx"]["fix_date"];
$field = $_SESSION["multiwx"]["field"];
$c_start = $_SESSION["multiwx"]["c_start"];
$c_end = $_SESSION["multiwx"]["c_end"];
$group2 = $_SESSION["multiwx"]["group2"];
$fix_int = $_SESSION["multiwx"]["fix_int"];
$fill = $_SESSION["multiwx"]["fill"];
$size = $_SESSION["multiwx"]["size"];
$h_size = $_SESSION["multiwx"]["h_size"];
$v_size = $_SESSION["multiwx"]["v_size"];
$compare = $_SESSION["multiwx"]["compare"];
$units = $_SESSION["multiwx"]["units"];
$lang = $_SESSION["multiwx"]["lang"];
}

/**
 * @author www.hasslosa.se
 * @software phpDesigner 2010
 * @date 2010-02-28
 *
 *  
 * Input JPGraph and MySQL info
 * Select default unit to display on the graph.
 * Select default language to display.
 * Then select the different units used IN the database 
 *  
 */

//JPGraph Info
include ("../../jpgraph/src/jpgraph.php"); //Path to Jpgraph
include ("../../jpgraph/src/jpgraph_line.php"); //Path to Jpgraph
include ("../../jpgraph/src/jpgraph_date.php"); //Path to Jpgraph


//MySQL Info
$host = "xxxxxx"; //your MySQL host name
$user = "xxxxxx"; //your MySQL username
$pass = "xxxxxx"; //your MySQL password
$db = "wxxxxxxx"; //your MySQL database name
$table = "xxxxxx"; //your MySQL table name
$startyear = '2006'; //Change to the year your data starts
$datetime_col = 'no'; //Does your MySQL table have a datetime column? 'yes' 'no'
$start_unit = 'm'; // Select start-units on graph: 'm' is metric, 'us' is us

switch (basename(realpath(''))) {
	case "english":
		$start_lang = 'en'; // Select start-language 'se' 'en' 'dk'
		break;
	default:
		$start_lang = 'en'; // Select start-language 'se' 'en' 'dk'
}

// Select units IN YOUR database
$db_wind = 'kts'; // 'kts' 'mph' 'km/h'
$db_temp = 'C'; // 'C' 'F'
$db_rain = 'mm'; // 'mm' 'inch'
$db_baro = 'hPa'; // 'hPa' 'inHg'


// db_column name
$db_field = array(0 => "station_id", 1 => "date", 2 => "time", 3 =>
	"average_windspeed", 4 => "wind_direction", 5 => "gust_windspeed", 6 =>
	"temperature", 7 => "outdoor_humidity", 8 => "barometer", 9 => "daily_rainfall",
	10 => "monthly_rainfall", 11 => "yearly_rainfall", 12 => "rain_rate", 13 =>
	"max_rain_rate_curent_day", 14 => "indoor_temperature", 15 => "indoor_humidity",
	16 => "soil_temperature", 17 => "forecast_icon", 18 =>
	"wmr968_extra_temperature", 19 => "wmr968_extra_humidity", 20 =>
	"wmr968_extra_sensor_number", 21 => "yesterday_rainfall", 22 =>
	"extra_temperature_sensor_2", 23 => "extra_temperature_sensor_3", 24 =>
	"extra_temperature_sensor_4", 25 => "extra_temperature_sensor_5", 26 =>
	"extra_temperature_sensor_6", 27 => "extra_temperature_sensor_7", 28 =>
	"extra_humidity_2", 29 => "extra_humidity_3", 30 => "extra_humidity_4", 31 =>
	"hour", 32 => "minute", 33 => "second", 34 => "station_name", 35 =>
	"dallas_1_wire_lightning_count", 36 => "actual_solar_reading", 37 => "day", 38 =>
	"month", 39 => "wmr968_battery_level_1", 40 => "wmr968_battery_level_2", 41 =>
	"wmr968_battery_level_3", 42 => "wmr968_battery_level_4", 43 =>
	"wmr968_battery_level_5", 44 => "wmr968_battery_level_6", 45 =>
	"wmr968_battery_level_7", 46 => "current_windchill", 47 => "current_humidex", 48 =>
	"max_daily_temperature", 49 => "min_daily_temperature", 50 => "icon_type", 51 =>
	"current_weather_desc", 52 => "barometer_trend_last_hour", 53 =>
	"max_gust_current_day", 54 => "dew_point_temperature", 55 => "cloud_height", 56 =>
	"max_humidex", 57 => "min_humidex", 58 => "max_windchill", 59 => "min_windchill",
	60 => "davis_vp_uv", 61 => "max_heat_index", 62 => "min_heat_index", 63 =>
	"heat_index", 64 => "max_average_windspeed_day");


switch ($units) {
	case 'm':
		$db_units = array(0 => "", 1 => "", 2 => "Time", 3 => "m/s", 4 => "", 5 =>
			"m/s", 6 => "C", 7 => "%", 8 => "hPa", 9 => "mm", 10 => "mm", 11 => "mm", 12 =>
			"mm", 13 => "mm", 14 => "C", 15 => "%", 16 => "C", 17 => "", 18 => "C", 19 =>
			"%", 20 => "", 21 => "mm", 22 => "C", 23 => "C", 24 => "C", 25 => "C", 26 =>
			"C", 27 => "C", 28 => "%", 29 => "%", 30 => "%", 31 => "", 32 => "", 33 => "",
			34 => "", 35 => "", 36 => "w/m", 37 => "", 38 => "", 39 => "", 40 => "", 41 =>
			"", 42 => "", 43 => "", 44 => "", 45 => "", 46 => "C", 47 => "%", 48 => "C",
			49 => "C", 50 => "", 51 => "", 52 => "hPa", 53 => "m/s", 54 => "C", 55 => "m",
			56 => "%", 57 => "%", 58 => "C", 59 => "C", 60 => "", 61 => "C", 62 => "C",
			63 => "C", 64 => "m/s");
		$used_units = array('m/s' => $db_wind, 'C' => $db_temp, 'mm' => $db_rain, 'hPa' =>
			$db_baro);
		break;
	case 'us':
		$db_units = array(0 => "", 1 => "", 2 => "Time", 3 => "mph", 4 => "", 5 =>
			"mph", 6 => "F", 7 => "%", 8 => "inHg", 9 => "inch", 10 => "inch", 11 => "inch",
			12 => "inch", 13 => "inch", 14 => "F", 15 => "%", 16 => "F", 17 => "", 18 =>
			"F", 19 => "%", 20 => "", 21 => "inch", 22 => "F", 23 => "F", 24 => "F", 25 =>
			"F", 26 => "F", 27 => "F", 28 => "%", 29 => "%", 30 => "%", 31 => "", 32 =>
			"", 33 => "", 34 => "", 35 => "", 36 => "w/m", 37 => "", 38 => "", 39 => "", 40 =>
			"", 41 => "", 42 => "", 43 => "", 44 => "", 45 => "", 46 => "F", 47 => "%", 48 =>
			"F", 49 => "F", 50 => "", 51 => "", 52 => "inHg", 53 => "mph", 54 => "F", 55 =>
			"", 56 => "%", 57 => "%", 58 => "F", 59 => "F", 60 => "", 61 => "F", 62 =>
			"F", 63 => "F", 64 => "mph");
		$used_units = array('mph' => $db_wind, 'F' => $db_temp, 'inch' => $db_rain,
			'inHg' => $db_baro); // output units to graph
}
if (!$_POST["lang"] && !$lang) {
	$lang = $start_lang;
}
if (!$_POST["lang"]) {
	$_POST["lang"] = $lang;
} else {
	$lang = $_POST["lang"];
}

switch ($lang) {
	case 'en':
		$t_1 = 'Select preset times here:';
		$t_2 = 'Presets:';
		$t_3 = 'Or create your own here:';
		$t_4 = 'From:';
		$t_5 = 'To:';
		$t_6 = 'Select data here: 1, 2 or 3 lines.';
		$t_7 = 'line';
		$t_8 = 'select here-->';
		$t_9 = 'Units: &nbsp;metric';
		$t_10 = 'Extra/settings';
		$t_11 = 'Click on the button if you want to change settings or compare intervals, like temp today and temp a week ago.';
		$t_12 = 'Create graph';
		$t_13 = 'Compare two intervals.';
		$t_14 = 'Select data and interval above, <br />Then select an interval to compare with here.<br />';
		$t_15 = 'Select presets here:';
		$t_16 = 'Or create your own here:';
		$t_17 = 'Graph size:';
		$t_18 = 'Or input size:';
		$t_19 = 'Width ';
		$t_20 = ' px   Height ';
		$t_21 = 'Fill line 2';
		$t_22 = 'Keep this box open ';
		$t_23 = 'Compare';
		$t_24 = 'Not selected';
		$t_25 = ' with ';
		//rearrange and add fields for select droplists, you can rename them if you want.
		//Use the numbers in $db_field
		$db_fieldname = array("" => "", 6 => "Temperature", 7 => "Humidity", 46 =>
			"Windchill", 8 => "Barometer", 3 => "Windspeed", 5 => "Gustspeed", 4 =>
			"Direction", 9 => "Rain/day", 10 => "Rain/month", 11 => "Rain/year");

		$month = array("01" => "January", "02" => "February", "03" => "March", "04" =>
			"April", "05" => "May", "06" => "June", "07" => "July", "08" => "August", "09" =>
			"September", "10" => "October", "11" => "November", "12" => "December");

		$opt_days = array('1 day' => 'One day', '2 day' => 'Two days', '3 day' =>
			'Three days', '4 day' => 'Four days', '5 day' => 'Five days', '6 day' =>
			'Six days', '7 day' => 'One week', '14 day' => 'Two weeks', '21 day' =>
			'Three weeks', '1 month' => 'One month', '6 month' => 'Six months', '1 year' =>
			'One year');

		break;
	case 'se':
		$t_1 = 'Vlj frdiga intervall hr:';
		$t_2 = 'Frval:';
		$t_3 = 'Eller skapa egna hr:';
		$t_4 = 'Frn:';
		$t_5 = 'Till:';
		$t_6 = 'Vlj data hr: 1, 2 eller 3 linjer.';
		$t_7 = 'linje';
		$t_8 = 'vlj hr-->';
		$t_9 = 'Enhet: &nbsp;m';
		$t_10 = 'Extra/instllningar';
		$t_11 = 'Klicka p knappen om du vill ndra instllningar, eller jmfra intervall t. ex temp idag och temp igr.';
		$t_12 = 'Skapa diagram';
		$t_13 = 'Jmfr tv intervall.';
		$t_14 = 'Vlj data och intervall ovan, <br />vlj sedan ett intervall att jmfra med hr:<br />';
		$t_15 = 'Vlj frdiga tider hr:';
		$t_16 = 'eller skapa egna hr:';
		$t_17 = 'Diagramstorlek:';
		$t_18 = 'Eller skriv in hr:';
		$t_19 = 'Bredd ';
		$t_20 = ' px   Hjd ';
		$t_21 = 'Fyll linje 2';
		$t_22 = 'Hll denna ruta ppen ';
		$t_23 = 'Jmfr';
		$t_24 = 'Ej vald';
		$t_25 = ' med ';
		$db_fieldname = array("" => "", 6 => "Temperatur", 7 => "Luftfuktighet", 46 =>
			"Vindavkylning", 8 => "Barometer", 3 => "Vindhastighet", 5 => "Vindby", 4 =>
			"Vindrikning", 9 => "Regn/dag", 10 => "Regn/mnad", 11 => "Regn/r");

		$month = array("01" => "Januari", "02" => "Februari", "03" => "Mars", "04" =>
			"April", "05" => "Maj", "06" => "Juni", "07" => "Juli", "08" => "Augusti", "09" =>
			"September", "10" => "Oktober", "11" => "November", "12" => "December");

		$opt_days = array('1 day' => 'En dag', '2 day' => 'Tv dagar', '3 day' =>
			'Tre dagar', '4 day' => 'Fyra dagar', '5 day' => 'Fem dagar', '6 day' =>
			'Sex dagar', '7 day' => 'En vecka', '14 day' => 'Tv veckor', '21 day' =>
			'Tre veckor', '1 month' => 'En mnad', '6 month' => 'Sex mnader', '1 year' =>
			'Ett r');
		break;

	case 'dk':
		$t_1 = 'Vlg tidspunkt:';
		$t_2 = 'Valgt:';
		$t_3 = 'Eller lav din egne periode:';
		$t_4 = 'Fra:';
		$t_5 = 'Til:';
		$t_6 = 'Vlg data: 1, 2 eller 3 linier.';
		$t_7 = 'linje';
		$t_8 = 'Vlg hr-->';
		$t_9 = 'Enheder: &nbsp;metrisk';
		$t_10 = 'Ekstra/indstillinger';
		$t_11 = 'Sammenligning af intervaller, eks. temp. nu / en uge siden:';
		$t_12 = 'Lav graf';
		$t_13 = 'Sammenlign 2 intervaller.';
		$t_14 = 'Vlg data og interval, <br />derefter vlg et interval at sammenligne med';
		$t_15 = 'Vlg periode:';
		$t_16 = 'Eller lav din egen:';
		$t_17 = 'Graf strrelse:';
		$t_18 = 'Eller Indtast strrelse:';
		$t_19 = 'Bredde ';
		$t_20 = ' px   Hjde ';
		$t_21 = 'Udfyld linie 2';
		$t_22 = 'Lad denne boks vre ben ';
		$t_23 = 'Sammenlign ';
		$t_24 = 'Ikke valgt';
		$t_25 = ' med ';
		$db_fieldname = array("" => "", 6 => "Temperatur", 7 => "Fugtighed", 46 =>
			"Vindchill", 8 => "Barometer", 3 => "Vindhastighed", 5 => "Vindstd", 4 =>
			"Retning", 9 => "Regn/dag", 10 => "Regn/mned", 11 => "Regn/r");

		$month = array("01" => "Januar", "02" => "Februar", "03" => "Marts", "04" =>
			"April", "05" => "Maj", "06" => "Juni", "07" => "Juli", "08" => "August", "09" =>
			"September", "10" => "Oktober", "11" => "November", "12" => "December");

		$opt_days = array('1 day' => 'En dag', '2 day' => 'To dage', '3 day' =>
			'Tre dage', '4 day' => 'Fire dage', '5 day' => 'Fem dage', '6 day' =>
			'Seks dage', '7 day' => 'En uge', '14 day' => 'To uger', '21 day' => 'Tre uger',
			'1 month' => 'En mned', '6 month' => 'Seks mneder', '1 year' => 'Et r');
}




// --------------- Not much to do below this line -----------------
$year[$startyear] = $startyear;
for ($i = $startyear; $i < date(Y); $i++) {
    $year[$i + 1] = ($i + 1);
}

for ($i = 0; $i < 31; $i++) {
    if ($i < 9) {
        $day['0' . ($i + 1)] = ($i + 1);
    } else {
        $day[$i + 1] = ($i + 1);
    }
}

function select_date($a, $b)
{
	if (!$b) {
		$d = date('d');
		$m = date('m');
		$y = date('Y');
	}
	foreach ($a as $a_key => $a_name) {
		if ($a_key == $b || $a_key == $y || !is_numeric($a_name) &&  $a_key == $m || is_numeric($a_name) &&  $a_key == $d ) {
			echo ' <option selected="selected" value="' . $a_key . '">' . $a_name .
				'</option>
					';
		} else {
			echo ' <option value="' . $a_key . '">' . $a_name . '</option>
					';
		}
	}
}

function select($a, $b)
{
	foreach ($a as $a_key => $a_name) {
		if ($a_key == $b) {
			echo ' <option selected="selected" value="' . $a_key . '">' . $a_name .
				'</option>
				';
		} else {
			echo ' <option value="' . $a_key . '">' . $a_name . '</option>
				';
		}
	}
}
//replace empty values and convert units
function replace_empty_and_convert(&$a, $u)
{
	if ($a[0] == '') {
		$a[0] = '0';
	}
	foreach ($a as $val) {
		if ($val == '') {
			$fill == prev($b);
		} else {
			$fill = $val;
		}
		$b[] = $fill;
		switch ($u) {
			case 'C_to_F':
				$c = ($fill * 9) / 5 + 32;
				break;
			case 'F_to_C':
				$c = ($fill - 32) / 9 * 5;
				break;
			case 'mm_to_inch':
				$c = $fill * 0.039;
				break;
			case 'inch_to_mm':
				$c = $fill * 25.4;
				break;
			case 'hPa_to_inHg':
				$c = $fill * 0.0295;
				break;
			case 'inHg_to_hPa':
				$c = $fill * 33.863;
				break;
			case 'kts_to_mph':
				$c = $fill * 1.15;
				break;
			case 'kts_to_m/s':
				$c = $fill * 0.51;
				break;
			case 'mph_to_m/s':
				$c = $fill * 0.45;
				break;
			case 'km/h_to_mph':
				$c = $fill * 0.62;
				break;
			case 'km/h_to_m/s':
				$c = $fill * 0.28;
				break;
			case 'm/s_to_mph':
				$c = $fill * 2.2369;
				break;
			default:
				$c = $fill;
		}
		$d[] = round($c, 2);
	}
	$a = $d;
}

// Limit the number of records from query
$endtime = strtotime($end);
$starttime = strtotime($start);
$days = ($endtime - $starttime) / 86400;
switch (true) {
	case $group1 == '2' && $days < 14 || $group1 == '1' && $fix_date == '1 day' || $fix_date ==
			'2 day' || $fix_date == '3 day' || $fix_date == '4 day' || $fix_date == '5 day' ||
			$fix_date == '6 day' || $fix_date == '7 day':
		$limit = "AND DATETIME REGEXP '..:(00|10|20|30|40|50):..'";
		break;
	case $group1 == '2' && $days < 31 || $group1 == '1' && $fix_date == '14 day' ||
			$fix_date == '21 day':
		$limit = "AND DATETIME REGEXP '..:(00|20|40):..'";
		break;
	case $group1 == '2' && $days < 150 || $group1 == '1' && $fix_date == '1 month' ||
			$fix_date == '6 month':
		$limit = "AND DATETIME REGEXP '..:(00|20|40):..'";
		break;
	case $group1 == '2' && $days < 250:
		$limit = "AND DATETIME REGEXP '..:(00|30):..'";
		break;
	case $group1 == '2' && $days < 600 || $group1 == '1' && $fix_date == '1 year':
		$limit = "AND DATETIME REGEXP '(00|06|12|18):00:..'";
		break;
	case $group1 == '3':
		$limit = "";
		break;
	default:
		$limit = "AND DATETIME REGEXP '(00|06|12|18):00:..'";
}
// Start - End dates for mysql_query
//SELECT DATE, TIME, current_windchill, average_windspeed FROM wx_data WHERE DATE <=NOW() and DATE>=DATE_SUB(CURDATE(), INTERVAL 1 day) AND TIME REGEXP '..:(00|10|20|30|40|50):..' AND outdoor_humidity IS NOT NULL ORDER BY DATE ASC, TIME ASC

switch ($group1) {
	case 1 || 3:
		$time_1 = "<=NOW() and DATETIME>=DATE_SUB(NOW(), INTERVAL $fix_date) $limit";
		break;
	case 2:
		$time_1 = " BETWEEN '$start' AND '$end' $limit";
		break;
	default:
		$time_1 = "<=NOW() and DATETIME>=DATE_SUB(NOW(), INTERVAL 7 day) $limit";
}
// Start - End dates for compare mysql_query
//SELECT DATE, TIME, current_windchill FROM wx_data WHERE DATE <=DATE_ADD(NOW(), INTERVAL -1 day) AND DATE>=DATE_SUB(DATE_ADD(CURDATE(), INTERVAL -1 day), INTERVAL 1 day) AND TIME REGEXP '..:(00|10|20|30|40|50):..' AND outdoor_humidity IS NOT NULL ORDER BY DATE ASC, TIME ASC


switch ($group2) {
	case 1:
		$c_time_1 = "<=DATE_ADD(NOW(), INTERVAL - $fix_int) AND DATETIME>=DATE_SUB(DATE_ADD(CURDATE(), INTERVAL -$fix_int), INTERVAL $fix_date) $limit";
		break;
	case 2:
		$c_time_1 = " BETWEEN '$c_start' AND '$c_end' $limit";
		break;
	default:
		$c_time_1 =
			"<=DATE_ADD(NOW(), INTERVAL -2 day) AND DATETIME>=DATE_SUB(DATE_ADD(CURDATE(), INTERVAL -2 day), INTERVAL $fix_date) $limit";
}


//graph size
switch ($size) {
	case 1:
		$width = 700;
		$height = 400;
		break;
	case 2:
		$width = 800;
		$height = 500;
		break;
	case 3:
		$width = $h_size;
		$height = $v_size;
		break;
	default:
		$width = 700;
		$height = 400;

}

//keep the right checkbox & radiobutton checked
switch ($_POST["group1"]) {
	case 1:
		$r1 = ('checked="checked"');
		break;
	case 2:
		$r2 = ('checked="checked"');
		break;
	default:
		$r1 = ('checked="checked"');
}
switch ($_POST["group2"]) {
	case 1:
		$r3 = ('checked="checked"');
		break;
	case 2:
		$r4 = ('checked="checked"');
		break;
	default:
		$r3 = ('checked="checked"');
}
switch ($_POST["size"]) {
	case 1:
		$r5 = ('checked="checked"');
		break;
	case 2:
		$r6 = ('checked="checked"');
		break;
	case 3:
		$r7 = ('checked="checked"');
		break;
	default:
		$r5 = ('checked="checked"');
}

switch ($_POST["units"]) {
	case 'm':
		$r8 = ('checked="checked"');
		break;
	case 'us':
		$r9 = ('checked="checked"');
		break;
	default:
		switch ($start_unit) {
			case 'm':
				$r8 = ('checked="checked"');
				break;
			case 'us':
				$r9 = ('checked="checked"');
		}
}

if ($_POST["fill"] == "1") {
	$c1 = ('checked="checked"');
}
if ($_POST["c_open"] == "1") {
	$c2 = ('checked="checked"');
}
if ($_POST["compare"] == "1") {
	$c3 = ('checked="checked"');
}
//linecolor and labels for data-select
if ($_POST["data1"]) {
	$hr_line1 = '1';
} elseif (!$_POST["data1"]) {
	$hr_line1 = '4';
}
if ($hr_line1 == '1') {
	$lineval1 = $t_7 . $hr_line1;
} elseif ($hr_line1 == '4') {
	$lineval1 = $t_24;
}

if (!$_POST["data1"] && $_POST["data2"]) {
	$hr_line2 = '1';
} elseif ($_POST["data1"] && $_POST["data2"]) {
	$hr_line2 = '2';
} elseif (!$_POST["data2"]) {
	$hr_line2 = '4';
}
if ($hr_line2 < '4') {
	$lineval2 = $t_7 . $hr_line2;
} elseif ($hr_line2 == '4') {
	$lineval2 = $t_24;
}

if (!$_POST["data1"] && !$_POST["data2"] && $_POST["data3"]) {
	$hr_line3 = '1';
} elseif (($_POST["data1"] xor $_POST["data2"]) && $_POST["data3"]) {
	$hr_line3 = '2';
} elseif ($_POST["data1"] && $_POST["data2"] && $_POST["data3"]) {
	$hr_line3 = '3';
} elseif (!$_POST["data3"]) {
	$hr_line3 = '4';
}
if ($hr_line3 < '4') {
	$lineval3 = $t_7 . $hr_line3;
} elseif ($hr_line3 == '4') {
	$lineval3 = $t_24;
}

?>