<?php
$no_session = 'y'; //Do not mess with this :-)
$size = '3'; //Graph size '1'=700x400 '2'=800x500 '3'=set size on next 2 lines
$h_size = '800'; //Horizontal size
$v_size = '400'; //Vertical size
$units = 'us'; //Units on graphs 'm' or 'us'
$lang = 'en'; //Language on graphs 'se'' or 'en'
$group1 = '1'; //Limits records from query '1', '2' or '3' 3 uses all data in selected interval (3 is not good for longer intervals!!)
$fix_date = '3 month'; //Graph time-interval ex: '1 hour/day/week/month/year'
$field = array('6', '7', '5'); //Select what you want to graph from $db_field in common_en.php 1, 2 or 3 lines
$fill = '1'; //Fill line 2 '0' or '1'

include ('get_data.php');

/**
 * @author www.hasslosa.se
 * @software phpDesigner 2007
 * @date 2010-02-28
 */

// --------------- Start of JPGraph -----------------



//Display  graph timer
$gJpgBrandTiming = true;

// Create the graph. These two calls are always required
$graph = new Graph($width, $height);

//$graph->SetScale('datlin');//autoscale y or('datlin',-5,35) for manual
$graph->SetScale('datlin', $low1, $high1);
$minmax1 = ($dataname_1 . ' min ') . ($min1 . $dataunit_1) . ('  max ') . ($max1 .
	$dataunit_1);
$graph->yaxis->SetTickSide(SIDE_LEFT); //SIDE_LEFT, SIDE_RIGHT
//$graph->yaxis->scale->ticks->Set(10, 5); //huvud,del streck
$graph->ygrid->SetLineStyle('dashed'); //dashed, dotted, solid

if (!empty($dataname_2)) {
	$minmax2 = ($dataname_2 . ' min ') . ($min2 . $dataunit_2) . ('  max ') . ($max2 .
		$dataunit_2);
	$graph->SetY2Scale('lin', $low2, $high2);
	$graph->y2axis->SetTickSide(SIDE_RIGHT); //SIDE_LEFT, SIDE_RIGHT
	//$graph->y2axis->scale->ticks->Set(10, 2); //
}
if (!$compare && !empty($dataname_3)) {
	$minmax3 = ($dataname_3 . ' min ') . ($min3 . $dataunit_3) . ('  max ') . ($max3 .
		$dataunit_3);
	$graph->SetYScale(0, 'lin', $low3, $high3);
	//$graph->ynaxis[0]->scale->ticks->Set(10, 5); //
}
//$graph->yaxis->SetTickSide(SIDE_RIGHT); //SIDE_LEFT, SIDE_RIGHT


$graph->xaxis->SetPos(min); //Position X on Y('-5')
$graph->xaxis->SetTickSide(SIDE_BOTTOM); //SIDE_TOP, SIDE_BOTTOM

//$graph->xaxis-> scale->ticks->Set (720000,9000); // 5min = 300
$graph->SetTickDensity(TICKD_NORMAL, $x_ticks); //_NORMAL_DENSE _SPARSE _VERYSPARSE

$graph->xaxis->scale->SetTimeAlign(MINADJ_5); //adjust start-stop time
$graph->xaxis->scale->SetDateFormat('m-d H:i');
$graph->xgrid->Show();
$graph->xgrid->SetLineStyle('dashed');

// Create the linear plot
switch ($compare) {
	case 1:
		$graph->xaxis->title->ParagraphAlign('center');
		$graph->xaxis->title->Set($t_23 . $dataname_1 . "\n" . $intervall . $t_25 . $c_intervall); //title x-axis
		$graph->xaxis->HideLabels();
		$linePlot1 = new LinePlot($data1);
		$graph->Add($linePlot1);
		if (!empty($c_data[2])) {
			$linePlot2 = new LinePlot($c_data);
			$graph->Addy2($linePlot2);
		}
		break;
	default:
		$linePlot1 = new LinePlot($data1, $label);
		$graph->Add($linePlot1);
		if ($data2) {
			$linePlot2 = new LinePlot($data2, $label);
			$graph->Addy2($linePlot2);
		}
		if (!empty($data_3)) {
			$linePlot3 = new LinePlot($data3, $label);
			$graph->Addy(0, $linePlot3);
			$graph->SetYDeltaDist(40);
		}
}

// Add static line
//$graph->AddLine(new PlotLine(HORIZONTAL, 0, 'black', 1));

//Margin
$graph->img->SetMargin(40, 100, 40, 104); //left right up down
$graph->SetMarginColor('white');

// Title,font
$graph->title->Set($intervall);
$graph->title->SetFont(FF_VERDANA, FS_NORMAL, 8);
$graph->title->SetColor("black");
$graph->title->SetPos(0.08, 0.02, "left", "top");

//title-font y-axis
$graph->yaxis->SetFont(FF_VERDANA, FS_NORMAL, 8); //label-font y
//$graph->yaxis->SetTitlemargin(30);

if ($data_2) {
	$graph->y2axis->SetFont(FF_VERDANA, FS_NORMAL, 8); //label-font y2
}
//title,scale,font,margin x-axis
$graph->xaxis->title->SetFont(FF_VERDANA, FS_NORMAL, 8);
$graph->xaxis->SetFont(FF_VERDANA, FS_NORMAL, 8); //label-font x
$graph->xaxis->SetTitlemargin(10);
$graph->xaxis->SetLabelAngle(60); //angle

//set color and width of line and axis
$linePlot1->SetColor("red");
$linePlot1->SetWeight(1);
$graph->yaxis->SetColor("red");
$linePlot1->SetLegend($minmax1);

if ($data_2) {
	$linePlot2->SetColor("blue");
	$linePlot2->SetWeight(1);
	$graph->y2axis->SetColor("blue");
	$linePlot2->SetLegend($minmax2);
	if ($fill == 1) {
		//$linePlot2->SetFillcolor("blue");
		$linePlot2->SetFillgradient('lightblue','blue',30); 
	}
}

if (!$compare && !empty($data_3)) {
	$linePlot3->SetColor("green");
	$linePlot3->SetWeight(1);
	$graph->ynaxis[0]->SetColor("green");
	$linePlot3->SetLegend($minmax3);
}

$graph->xaxis->SetColor("black");
$graph->yaxis->SetWeight(1);
$graph->xaxis->SetWeight(1);

$graph->SetShadow();
$graph->legend->SetFont(FF_VERDANA, FS_NORMAL, 8);
//$graph->legend->SetLayout(LEGEND_HOR); // (//)for vert
// position
//Hor: 'left','right','center' Vert: 'bottom','top','center
$graph->legend->Pos(0.53, 0.98, "center", "bottom");

// Display the graph
//$graph-> Stroke( "r2.png");//as file
$graph->Stroke();

?>